Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

List of all members
eZ\Publish\Core\FieldType\Media\MediaStorage Class Reference

Description of MediaStorage. More...

Inheritance diagram for eZ\Publish\Core\FieldType\Media\MediaStorage:

## Additional Inherited Members
Public Member Functions inherited from eZ\Publish\Core\FieldType\BinaryBase\BinaryBaseStorage
| __construct (StorageGateway $gateway, IOServiceInterface $ioService, PathGenerator $pathGenerator, MimeTypeDetector $mimeTypeDetector)
| Construct from gateways. More...
| setDownloadUrlGenerator (PathGenerator $downloadUrlGenerator)
| storeFieldData (VersionInfo $versionInfo, Field $field, array $context)
| Allows custom field types to store data in an external source (e.g. More...
| copyLegacyField (VersionInfo $versionInfo, Field $field, Field $originalField, array $context)
| This method is used exclusively by Legacy Storage to copy external data of existing field in main language to the untranslatable field not passed in create or update struct, but created implicitly in storage layer. More...
| getFieldData (VersionInfo $versionInfo, Field $field, array $context)
| Populates $field value property based on the external data. More...
| deleteFieldData (VersionInfo $versionInfo, array $fieldIds, array $context)
| Deletes field data for all $fieldIds in the version identified by $versionInfo. More...
| hasFieldData ()
| Checks if field type has external data to deal with. More...
| getIndexData (VersionInfo $versionInfo, Field $field, array $context)
| Get index data for external data for search backend. More...
Public Member Functions inherited from eZ\Publish\SPI\FieldType\GatewayBasedStorage
| __construct (StorageGateway $gateway)
Protected Member Functions inherited from eZ\Publish\Core\FieldType\BinaryBase\BinaryBaseStorage
| removeOldFile ($fieldId, $versionNo, array $context)
| Removes the old file referenced by $fieldId in $versionNo, if not referenced else where. More...
Protected Attributes inherited from eZ\Publish\Core\FieldType\BinaryBase\BinaryBaseStorage
| $ioService
| $pathGenerator
| $mimeTypeDetector
| $downloadUrlGenerator
| $gateway
Protected Attributes inherited from eZ\Publish\SPI\FieldType\GatewayBasedStorage
| $gateway

## Detailed Description

Description of MediaStorage.

Definition at line 14 of file MediaStorage.php.

The documentation for this class was generated from the following file:

- MediaStorage.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.